menhir (20240715+ds-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

  [ Julien Puydt ]
  * Fix debian/watch.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 20 Aug 2024 08:32:20 +0200

menhir (20231231+ds-2) unstable; urgency=medium

  * Team upload
  * Add support for a different OCaml stdlib dir

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 06:37:35 +0200

menhir (20231231+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 14:22:52 +0100

menhir (20230608+ds-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release
  * Fix debian/watch
  * Fix cleaning (Closes: #1046147)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on ocaml-nox (>= 4.02.3~).
    + menhir-doc: Drop conflict with removed package menhir (<< 20170712-1) in
      Replaces.
    + menhir-doc: Drop conflict with removed package menhir (<< 20170712-1) in
      Breaks.
  * Use secure URI in Homepage field.

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Aug 2023 06:34:07 +0200

menhir (20220210+ds1-1) unstable; urgency=medium

  * Team upload
  * Properly repack upstream sources, without coq-menhirlib
  * Use ocaml_dune DH buildsystem (Closes: #1042097)
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 26 Jul 2023 21:36:14 +0200

menhir (20220210+ds-2) unstable; urgency=medium

  * Prepare for upload to unstable.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 13 May 2022 13:47:21 +0200

menhir (20220210+ds-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Make sure the doc is built.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 18 Mar 2022 10:43:32 +0100

menhir (20210929-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - fix file patterns for the runtime library which has moved to lib/
    - remove some licences that are no longer used
  * Standards-version 4.6.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Fri, 01 Oct 2021 23:02:46 +0200

menhir (20201216-1) unstable; urgency=medium

  * New upstream release

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2021 21:01:58 +0100

menhir (20201201-1) unstable; urgency=medium

  * New upstream version.
  * Standards-version 4.5.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sun, 06 Dec 2020 10:29:09 +0100

menhir (20200624-1) unstable; urgency=medium

  * New upstream release.
  * d/rules: include ocamlvars.mk to obtain override of dh_dwz
  * Dehelper compatibility level 13:
    - drop override of dh_missing which is no longer needed
  * d/copyright: fix spelling of "src/StaticVersion.mli"
  * Bump version of build-dependency dune, as indicated by upstream's opam file
  * Set Rules-Requires-Root=no

 -- Ralf Treinen <treinen@debian.org>  Sat, 22 Aug 2020 18:46:28 +0200

menhir (20200123-3) unstable; urgency=medium

  * patch menhirLib: fix the value returned by --suggest-menhirLib
    (closes: #955494)

 -- Ralf Treinen <treinen@debian.org>  Thu, 02 Apr 2020 12:22:45 +0200

menhir (20200123-2) unstable; urgency=medium

  * Removal of coq-menhirlib from this source package:
    - add coq-menhirlib to the gbp import filter
    - clean debian/rules
    - remove coq-menhirlib from debian/control
    - drop build-dependency on coq
    - drop debian/libmenhir-coq.install
    - remove stanzas relating to coq-menhirlib from debian/copyright
    - drop as-installed test coq, and its support files
    - add an explanation in debian/README.source.

 -- Ralf Treinen <treinen@debian.org>  Thu, 27 Feb 2020 22:13:34 +0100

menhir (20200123-1) unstable; urgency=medium

  * New upstream version
  * Drop patch demos-enable-bytecode as the collection of demos is no longer
    part of upstream
  * Build-dependencies:
    - tighten version of ocaml-nox
    - drop ocamlbuild and ocaml-findlib
    - add ocaml-dune
  - debian/rules:
    - switch to the new build system using dune
    - drop override for dh_auto_test which is no longer needed
    - drop override for dh_dwz which is no longer needed
  - Installation:
    - install menhir.1 through debian/menhir.manpages
    - drop installation of empty directory usr/menhir/share
    - upstream installs documentation in /usr/doc
    - no more examples to install
    - create file d/not-installed, listing redundant CHANGES.md, LICENCE.md,
      README.md files
  * as-installed tests: since upstream does not distribute the demos any
    longer we use our own copy of relevant testcases in debian/tests.
  * Standards-version 4.5.0 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 08 Feb 2020 10:50:13 +0100

menhir (20190924-1) unstable; urgency=medium

  * New upstream version
  * Set Multi-Arch:foreign for the menhir-doc package
  * Standards-Version: 4.4.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Sat, 02 Nov 2019 11:51:19 +0100

menhir (20190626-6) unstable; urgency=medium

  * Team upload
  * libmenhir-coq: add dependency to Coq ABI (Closes: #935873)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 27 Aug 2019 15:43:33 +0200

menhir (20190626-5) unstable; urgency=medium

  * Fix dependencies of the "library" test.

 -- Ralf Treinen <treinen@debian.org>  Wed, 21 Aug 2019 20:44:35 +0200

menhir (20190626-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Remove Samuel from Uploaders

  [ Ralf Treinen ]
  * Package tests:
    - add test for compilation with the menhir library
    - use directly the files from upstreams demos/ directory
    - make tests more verbose

 -- Ralf Treinen <treinen@debian.org>  Wed, 21 Aug 2019 20:17:35 +0200

menhir (20190626-3) unstable; urgency=medium

  * Standards-Version 4.4.0 (no change)
  * Test coq: add dependency coq
  * Drop version contraint on build-dependency dh-ocaml

 -- Ralf Treinen <treinen@debian.org>  Thu, 25 Jul 2019 15:57:50 -0300

menhir (20190626-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ralf Treinen <treinen@debian.org>  Wed, 24 Jul 2019 20:26:11 -0300

menhir (20190626-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version 4.3.0 (no change)
  * New binary package: libmenhir-coq
  * New build-dependencies:
    - debhelper-compat(=12); drop file debian/compat
    - coq (needed for building libmenhir-coq)
  * Package libmenhir-ocaml-dev: Suggests ocaml-findlib
  * Override dh_dwz to use --no-dwz-multifile
  * As-installed tests:
    - Add test for libmenhir-coq (thanks a lot to Pierre Letouzey)
    - Rename test "calc" to "standalone", tighten test dependencies

 -- Ralf Treinen <treinen@debian.org>  Sun, 07 Jul 2019 21:32:31 +0200

menhir (20181113-1) unstable; urgency=medium

  * new upstream version
  * d/watch: point to inria gitlab
  * d/menhir-doc.docs: also install png pictures of the manual
  * d/rules: remove .gitignore files in examples
  * Standards-Version 4.2.1 (no change)

 -- Ralf Treinen <treinen@debian.org>  Wed, 14 Nov 2018 22:14:32 +0100

menhir (20180530-2) unstable; urgency=medium

  * menhir-doc: Breaks/Replaces menhir (<< 20170712-1) since examples
    had been moved from menhir to menhir-doc (closes: #903455)
  * Standards-version 4.1.5 (no change).

 -- Ralf Treinen <treinen@debian.org>  Thu, 19 Jul 2018 22:19:24 +0200

menhir (20180530-1) unstable; urgency=medium

  * New upstream version.
  * Install manual.html into menhir-doc package.
  * Add entry for html manual in doc-base file
  * Update Vcs-* fields to salsa.
  * Standards-Version 4.1.4 (no change).
  * Debhelper compat level 11.
    - menhir-doc.doc-base: manual now installed in /usr/share/doc/menhr

 -- Ralf Treinen <treinen@debian.org>  Mon, 18 Jun 2018 20:39:09 +0200

menhir (20171222-1) unstable; urgency=medium

  * New upstream version.
  * Standards-version 4.1.3 (no change)

 -- Ralf Treinen <treinen@debian.org>  Tue, 02 Jan 2018 19:23:01 +0100

menhir (20171206-1) unstable; urgency=medium

  * New upstream version.
  * Standards-version 4.1.2 (no change)
  * Drop debian/source/local-options

 -- Ralf Treinen <treinen@debian.org>  Wed, 13 Dec 2017 21:31:45 +0100

menhir (20171013-1) unstable; urgency=medium

  * New upstream version.
    - drop patch Remove-some-invalid-characters which has been applied upstream
    - drop patch Pass-byte-plugin-to-ocamlbuild-when-TARGET-byte which has
      been applied upstream
  * Standards-Version 4.1.1 (no change)
  * d/tests/control: add dependency ocamlbuild

 -- Ralf Treinen <treinen@debian.org>  Thu, 23 Nov 2017 08:42:12 +0100

menhir (20170712-1) unstable; urgency=medium

  * New upstream release, now including the sources of the manual.
  * New binary package menhir-doc, containing the manual in pdf
    (closes: #484497).
    - add debian/menhir-doc.docs, debian/menhir-doc.doc-base.
    - examples go now into the menhir-doc package.
    - menhir suggests menhir-doc.
  * Since we now have the sources of the manual:
    - drop debian/purify-tarball which is no longer needed.
    - drop upstream filtering from debian/gbp.conf
  * debian/rules:
    - let upstream's makefile install into debian/tmp, then install stuff
      into package directories with dh_*.
    - use dh_missing --fail-missing
  * Added build-dependency on ocamlbuild.
  * Dropped debian/menhir.manpages, debian/menhir.dirs
  * debian/tests/control: add dependency on @
  * Changed section to ocaml
  * Minor improvements of package descriptions.
  * Updated debian/copyright:
    - update header (upstream name and contact)
    - complete file list of library files
    - the files not being part of the library are under GPLv2 now
    - bump copyright years

 -- Ralf Treinen <treinen@debian.org>  Sat, 22 Jul 2017 19:58:29 +0200

menhir (20170607.dfsg-3) unstable; urgency=medium

  * as-installed tests: add dependency ocaml-findlib

 -- Ralf Treinen <treinen@debian.org>  Sun, 02 Jul 2017 13:32:18 +0200

menhir (20170607.dfsg-2) unstable; urgency=medium

  * Standards-Version 4.0.0
    - https form of the copyright-format URL
  * libmenhir-ocaml-dev: install everything that upstream installs in
    /usr/lib/ocaml
  * DH compat level 10

 -- Ralf Treinen <treinen@debian.org>  Tue, 20 Jun 2017 08:24:06 +0200

menhir (20170607.dfsg-1) unstable; urgency=medium

  * New upstream:
    - refresh patch 0002-Pass-byte-plugin-to-ocamlbuild-when-TARGET-byte
  * Delete obsolete debian/README.source
  * debian/purify_tarball:
    - simplify (drop useless CURDIR)
    - generate tarball with version "+dfsg" instead of ".dfsg"
  * Add myself as uploader
  * Add as-installed package test

 -- Ralf Treinen <treinen@debian.org>  Mon, 19 Jun 2017 22:11:44 +0200

menhir (20160808+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Tue, 16 Aug 2016 10:06:20 +0200

menhir (20160526.dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*
  * Switch debian/copyright to format 1.0
  * Bump Standards-Version to 3.9.8
  * Bump debhelper compat to 9

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Aug 2016 10:55:33 +0200

menhir (20151112.dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches
    - Add 0002-Pass-byte-plugin-to-ocamlbuild-when-TARGET-byte.patch
      to avoid FTBFS on bytecode architectures.
  * Use Upstream's Makefile to install files

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 17 Jan 2016 22:06:28 +0100

menhir (20141215.dfsg-1~exp1) experimental; urgency=medium

  * New upstream release
    - Requires OCaml >= 4.02~.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 20 Jul 2015 00:00:56 +0000

menhir (20140422.dfsg-1) unstable; urgency=medium

  * New upstream relese.

 -- Mehdi Dogguy <mehdi@debian.org>  Sun, 27 Apr 2014 14:49:45 +0200

menhir (20130911.dfsg-2) unstable; urgency=medium

  * Fix FTBFS on bytecode architectures.
    - Add 0002-Use-CURDIR-instead-of-.-during-bootstrap.patch
  * Do not install menhirLib.mlpack.

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 27 Mar 2014 20:53:44 +0100

menhir (20130911.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add ocaml-findlib to Build-Depends.
  * Use native/byte targets instead of $(OCAML_BEST)
  * Adapt install steps to new build system.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 24 Mar 2014 22:38:20 +0100

menhir (20130116.dfsg-2) unstable; urgency=low

  * Team upload
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 00:42:01 +0100

menhir (20130116.dfsg-1) experimental; urgency=low

  * Team upload
  * New upstream release
  * Switch source package format to 3.0 (quilt)
  * Update Vcs-*
  * Compile with OCaml >= 4

 -- Stéphane Glondu <glondu@debian.org>  Wed, 24 Jul 2013 15:47:49 +0200

menhir (20120123.dfsg-1) unstable; urgency=low

  * New upstream release
    - fixes http://caml.inria.fr/mantis/view.php?id=5462

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 23 Jan 2012 20:50:25 +0100

menhir (20111019.dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #583291).
  * Bump Standards-Version to 3.9.2, no changes needed.

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 02 Jan 2012 18:05:48 +0100

menhir (20110201.dfsg-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Do not install examples twice (Closes: #603335)

  [ Mehdi Dogguy ]
  * New upstream release.
  * Set filter-pristine-tar to True in debian/gbp.conf.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 16 Apr 2011 00:12:54 +0200

menhir (20090505.dfsg-2) unstable; urgency=low

  * Use new features of dh-ocaml (0.9).
  * Build-dep on ocaml >= 3.11.1-3~
  * Use new address and remove DMUA
  * Bump standards to 3.8.3
  * Convert patches to quilt format and use quilt instead of dpatch

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 23 Sep 2009 18:48:23 +0200

menhir (20090505.dfsg-1) unstable; urgency=low

  * New Upstream Version
  * More verbose description for libmenhir-ocaml-dev, Closes: #518666.
  * Move libmenhir-ocaml-dev to the new ocaml section.
  * Drop src_Makefile.dpatch: integrated upstream.
  * Build-dep on ocaml >= 3.11.1

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Wed, 24 Jun 2009 23:04:37 +0200

menhir (20090204.dfsg-2) unstable; urgency=low

  * New binary package libmenhir-ocaml-dev, Closes: #516134.
  * Use dh-ocaml predefined variables.
  * Use predefined variable OCAML_BEST (dh-ocaml >= 0.4).
  * debian/svn-deblayout: remove no longer needed SVN setting

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Sun, 22 Feb 2009 23:41:17 +0100

menhir (20090204.dfsg-1) experimental; urgency=low

  * New Upstream Version
  * Add dependency ${misc:Depends}, thanks zack.
  * Update src_Makefile.dpatch
  * Add DMUA flag with Sam's blessing.
  * PREFIX is set back to /usr in debian/rules

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Thu, 19 Feb 2009 13:18:19 +0100

menhir (20080912.dfsg-2) experimental; urgency=low

  * Bump ocaml version to 3.11
  * Add build-dependency on dh-ocaml
  * Shorten debian/rules

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Wed, 18 Feb 2009 16:23:09 +0100

menhir (20080912.dfsg-1) experimental; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release, (Closes: #500699).
  * Add myself to uploaders and set d-o-m as maintainer.
  * Bump standards version to 3.8.0, no changes needed.
  * Change Vcs-* flags to point to git repository.
  * Update debian/rules: All source files are now in src/
  * Bump debhelper compat to 7 and shorten debian/rules
  * Add src_Makefile.dpatch to not try to build cmx files on non-native
    architectures.
  * Add Homepage field to debian/control.
  * Install menhirLib
  * Remove ocamlfind from build-dependency: not used.

  [ Samuel Mimram ]
  * Mangle .dfsg in version in watch file.

 -- Mehdi Dogguy <dogguy@pps.jussieu.fr>  Fri, 23 Jan 2009 12:43:54 +0100

menhir (20071212.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Updated standards version, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sat, 22 Dec 2007 00:46:17 +0100

menhir (20071205.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Tighten dependency on ocaml-nox.

 -- Samuel Mimram <smimram@debian.org>  Tue, 11 Dec 2007 00:45:36 +0000

menhir (20070520-2) unstable; urgency=low

  * Rebuild with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 01:30:14 +0200

menhir (20070520-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Mon, 23 Jul 2007 14:25:32 +0200

menhir (20070322.dfsg-4) unstable; urgency=low

  * Correcly clean, closes: #424571.

 -- Samuel Mimram <smimram@debian.org>  Tue, 22 May 2007 22:36:35 +0200

menhir (20070322.dfsg-3) unstable; urgency=low

  * Rebuild in bytecode when native compilation fails.

 -- Samuel Mimram <smimram@debian.org>  Wed, 18 Apr 2007 12:51:43 +0200

menhir (20070322.dfsg-2) unstable; urgency=low

  * Uploading to unstable.

 -- Samuel Mimram <smimram@debian.org>  Mon, 09 Apr 2007 17:53:02 +0200

menhir (20070322.dfsg-1) experimental; urgency=low

  * New upstream release.
  * Menhir is now correctly bootstrapped, closes: #397467.

 -- Samuel Mimram <smimram@debian.org>  Fri, 23 Mar 2007 00:14:31 +0100

menhir (20070215.dfsg-1) experimental; urgency=low

  * New upstream release.
  * Removed bashism.dpatch, integrated upstream.
  * Removed manpage, since it is now provided upstream.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Wed, 28 Feb 2007 19:49:34 +0100

menhir (20060615.dfsg-2) unstable; urgency=low

  * Correctly set PREFIX when building, closes: #378260.
  * Added bashim.dpatch to remove bashisms, closes: #377803.

 -- Samuel Mimram <smimram@debian.org>  Tue, 11 Jul 2006 12:26:18 +0000

menhir (20060615.dfsg-1) unstable; urgency=low

  * Repackaged upstream's tarball to remove manual.pdf for which we don't have
    the sources (yet).

 -- Samuel Mimram <smimram@debian.org>  Sat,  8 Jul 2006 09:24:11 +0000

menhir (20060615-1) unstable; urgency=low

  * New upstream release.
  * Removed makefile.dpatch, found a better way to use the makefile.
  * Added manpage.dpatch to remove invalid characters from the manpage.
  * Updated standards version to 3.7.2, no changes needed.

 -- Samuel Mimram <smimram@debian.org>  Sat, 24 Jun 2006 19:06:02 +0000

menhir (20060412-1) unstable; urgency=low

  * Initial release, closes: #363539.

 -- Samuel Mimram <smimram@debian.org>  Wed, 19 Apr 2006 19:11:20 +0200
